# what's where?
include GNUmakevars


all: \
	test-rounded_box.png \
	test-zentrale.png \
	test-kabine.png \
	test-speicherbank.png \
	test-deck_20.png \
	test-deck_19.png \
	test-deck_15.png \
	test-deck_14.png \
	test-deck_13.png \
	test-deck_18.png \
	test-sonden_hangar.png \
	test-superellipsoid.png \
	test-difference.png \
	test-ein-mann-jaeger.png \
	test-hufeisenpult.png \
	test-konturensitz.png \
	test-polgeschuetz.png \
	test-schneller_kreuzer.png \


%.ppm: %.pov
	$(POVRAY) +W$(WIDTH) +H$(HEIGHT) +V -I$< +L$(POVINC) +D +FP

%.png: %.pov
	$(POVRAY) +V -I$< +L$(POVINC) +D +FN

%.pov: make%
	$< > $@

test-sonden_hangar.png: test-sonden_hangar.pov sonden_hangar.pov  
test-ein-mann-jaeger.png: test-ein-mann-jaeger.pov ein-mann-jaeger.pov  konturensitz.pov 
test-hufeisenpult.png: test-hufeisenpult.pov hufeisenpult.pov  
test-konturensitz.png: test-konturensitz.pov konturensitz.pov 

test-polgeschuetz.png: test-polgeschuetz.pov polgeschuetz.pov 

test-schneller_kreuzer.png: test-schneller_kreuzer.pov \
    schneller_kreuzer.pov huelle.pov deck_20.pov polgeschuetz.pov \
    deck_19.pov ein-mann-jaeger.pov deck_18.pov deck_17.pov \
    deck_16.pov deck_15.pov deck_14.pov deck_13.pov \
    speicherbank.pov andruckabsorber.pov \


test-deck_18.png: test-deck_18.pov \
    huelle.pov \
    deck_18.pov

test-deck_15.png: test-deck_15.pov \
    huelle.pov \
    deck_15.pov \
    speicherbank.pov

test-deck_14.png: test-deck_14.pov \
    huelle.pov \
    deck_14.pov \
    andruckabsorber.pov

test-deck_13.png: test-deck_13.pov \
    huelle.pov \
    deck_13.pov \
    kraftwerk.pov

test-speicherbank.png: test-speicherbank.pov \
    speicherbank.pov \

test-kabine.png: test-kabine.pov \
    kabine.pov \

test-zentrale.png: test-zentrale.pov \
    zentrale.pov \
    rounded_box.pov \

test-rounded_box.png: test-rounded_box.pov \
    rounded_box.pov \



%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@
